--### MAIN ###--

local SW_ENABLED = GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)

Assets = {
	Asset("ANIM", "anim/idle_sapling.zip"), --load custom anims
	Asset("ANIM", "anim/grow_sapling_to_small.zip"),
	Asset("ANIM", "anim/idle_small.zip"),
	Asset("ANIM", "anim/idle_med.zip"),
	Asset("ANIM", "anim/idle_full.zip"),
	Asset("ANIM", "anim/grow_full_to_old.zip"),
	Asset("ANIM", "anim/idle_old.zip"),
	
	Asset("ANIM", "anim/toke_joint.zip"),
	Asset("ANIM", "anim/toke_woodenpipe.zip"),
	Asset("ANIM", "anim/toke_goldenpipe.zip"),
	Asset("ANIM", "anim/toke_tuskpipe.zip"),
	--Asset("ANIM", "anim/toke_chillum.zip"), --ONLY ON DST
	Asset("ANIM", "anim/toke_cigarette.zip"),
	
	Asset("ANIM", "anim/joint.zip"),
	Asset("ANIM", "anim/woodenpipe.zip"),
	Asset("ANIM", "anim/goldenpipe.zip"),
	Asset("ANIM", "anim/tuskpipe.zip"),
	--Asset("ANIM", "anim/chillum.zip"), --ONLY ON DST
	Asset("ANIM", "anim/cigarette.zip"),
	Asset("ANIM", "anim/hashroll.zip"),
	
	Asset("SOUND", "sound/forest.fsb"), --load custom sound
	Asset("SOUND", "sound/common.fsb"),
	
	Asset("ATLAS", "images/inventoryimages/ganja_seeds.xml"),
	Asset("IMAGE", "images/inventoryimages/ganja_seeds.tex"),
	Asset("ANIM", "anim/ganja_seeds.zip"),
	
	Asset("ANIM", "anim/ganja.zip"),
	Asset("ATLAS", "images/inventoryimages/ganja.xml"),
	
	Asset("ANIM", "anim/ganja_dried.zip"),
	Asset("ATLAS", "images/inventoryimages/ganja_dried.xml"),

	Asset("ANIM", "anim/hash.zip"),
	Asset("ATLAS", "images/inventoryimages/hash.xml"),
	
	Asset("IMAGE", "minimap/ganjabush.tex" ),
	Asset("ATLAS", "minimap/ganjabush.xml" ),
	
	Asset("IMAGE", "images/ganjatab.tex" ),
	Asset("ATLAS", "images/ganjatab.xml" ),
	
	Asset("ANIM", "anim/meat_rack.zip"),
	Asset("ANIM", "anim/ganja_dry.zip"),
	Asset("ANIM", "anim/ganja_rack_sw.zip"),
	Asset("ANIM", "anim/meat.zip"),

	Asset("ANIM", "anim/meat_monster.zip"),
	Asset("ANIM", "anim/meat_small.zip"),
	Asset("ANIM", "anim/drumstick.zip"),
	Asset("ANIM", "anim/meat_rack_food.zip"),
	Asset("ANIM", "anim/batwing.zip"),
	Asset("ANIM", "anim/plant_meat.zip"),
	Asset("ANIM", "anim/eel.zip"),
	
	Asset("ATLAS", "images/modicon.xml"),
	Asset("IMAGE", "images/modicon.tex"),
}
	PrefabFiles = {
	"ganjabush_sapling", "ganjabush_small", "ganjabush_med", "ganjabush_full", "ganjabush_old", "ganja", "ganja_seeds",
	"joint", "woodenpipe", "goldenpipe", "poopcloud", "tuskpipe", "hash", "cigarette", "hashroll", "slotmachine"
	}

	if not SW_ENABLED then
		table.remove(PrefabFiles)
	end
