--#### MEATRACK OVERRIDE FOR DS, ROG AND SW ####--

--We had many problems to make the anims work on DS. Dont know if this was the best way, but is working.

local function override_meatrack_anim(inst)
	if inst.components.dryer then
		
		
		local function onstartdrying(inst, dryable)
			if dryable == "ganja" then
				if not inst:HasTag("burnt") then
					inst.AnimState:PlayAnimation("drying_pre")
					inst.AnimState:PushAnimation("drying_loop", true)
					inst.AnimState:OverrideSymbol("swap_dried", "ganja_dry", "monstermeat")
				end
			elseif dryable == "smallmeat" or "monstermeat" or "meat" or "drumstick" or "batwing" or
				"fish" or "froglegs" or "eel" then
				if not inst:HasTag("burnt") then
					inst.AnimState:PlayAnimation("drying_pre")
					inst.AnimState:PushAnimation("drying_loop", true)
					inst.AnimState:OverrideSymbol("swap_dried", "meat_rack_food", dryable)
				end
			else 
				if not inst:HasTag("burnt") then
					inst.AnimState:PlayAnimation("drying_pre")
					inst.AnimState:PushAnimation("drying_loop", true)
					inst.AnimState:OverrideSymbol("swap_dried", "ganja_rack_sw", dryable) --ganja_rack_sw is the same as meat_rack_food from SW
				end
			end
		end
		inst.components.dryer:SetStartDryingFn(onstartdrying)
	end
end	

local function override_meatrack_anim2(inst)
	if inst.components.dryer then
	
		function setdone2(inst, product)
			
			if product == "ganja_dried" then
				inst.AnimState:PlayAnimation("idle_full")
				inst.AnimState:OverrideSymbol("swap_dried", "ganja_dry", "monstermeat_dried")
			elseif product == "meat_dried" or "smallmeat_dried" or "monstermeat_dried" then			
				inst.AnimState:PlayAnimation("idle_full")
				inst.AnimState:OverrideSymbol("swap_dried", "meat_rack_food", product)
			else
				inst.AnimState:PlayAnimation("idle_full")
				inst.AnimState:OverrideSymbol("swap_dried", "ganja_rack_sw", product)
			end
		end
		inst.components.dryer:SetContinueDoneFn(setdone2)
	end
end


local function override_meatrack_anim3(inst)
	if inst.components.dryer then

		local function ondonedrying2(inst, product)
			inst.AnimState:PlayAnimation("drying_pst")
			local ondonefn -- must be forward declared, as it refers to itself in the function body
			ondonefn = function(inst)
			inst:RemoveEventCallback("animover", ondonefn)
			setdone2(inst, product)
			end
		inst:ListenForEvent("animover", ondonefn)
		end
	inst.components.dryer:SetDoneDryingFn(ondonedrying2)
	end
end


AddPrefabPostInit("meatrack", override_meatrack_anim)
AddPrefabPostInit("meatrack", override_meatrack_anim2)
AddPrefabPostInit("meatrack", override_meatrack_anim3)