-- #### ALL RECEPIES ARE PLACED HERE #### --

--this is a part of modmain.

local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH
local STRINGS = GLOBAL.STRINGS

--local tab_selection = GetModConfigData("TAB")
local ROG_ENABLED = GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)
local SW_ENABLED = GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)

--[[ we need to remove the tab, since the update made it crash.
if tab_selection == 1 then
	STRINGS.NAMES.GANJA_TAB = "GANJA"
	STRINGS.TABS.GANJA_TAB = "Ganja"
	GLOBAL.RECIPETABS['GANJA_TAB'] = {str = "GANJA_TAB", sort=9, icon = "ganjatab.tex", icon_atlas = "images/ganjatab.xml"}
end
--]]
--if tab_selection == 2 then --custom tab = off

	local cigaretterecipe = Recipe("cigarette", {Ingredient("rope", 1), Ingredient("papyrus", 1)}, RECIPETABS.SURVIVAL, TECH.NONE, nil, nil, nil, 5)
	cigaretterecipe.atlas = "images/inventoryimages/cigarette.xml"

	local jointrecipe = Recipe("joint", {Ingredient("honey", 1), Ingredient("ganja_dried", 5,"images/inventoryimages/ganja_dried.xml")}, RECIPETABS.SURVIVAL, TECH.SCIENCE_ONE)
	jointrecipe.atlas = "images/inventoryimages/joint.xml"

	local hashrollrecipe = Recipe("hashroll", {Ingredient("papyrus", 1), Ingredient("cutgrass", 2), Ingredient("hash", 1,"images/inventoryimages/hash.xml")}, RECIPETABS.SURVIVAL, TECH.SCIENCE_ONE, nil, nil, nil, 2)
	hashrollrecipe.atlas = "images/inventoryimages/hashroll.xml"

	local woodenpiperecipe = Recipe("woodenpipe", {Ingredient("log", 1), Ingredient("charcoal", 1), Ingredient("ganja_dried", 4,"images/inventoryimages/ganja_dried.xml")}, RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO)
	woodenpiperecipe.atlas = "images/inventoryimages/woodenpipe.xml"

	local goldenpiperecipe = Recipe("goldenpipe", {Ingredient("log", 1), Ingredient("goldnugget", 1), Ingredient("ganja_dried", 4,"images/inventoryimages/ganja_dried.xml")}, RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO)
	goldenpiperecipe.atlas = "images/inventoryimages/goldenpipe.xml"

	local tuskpiperecipe = Recipe("tuskpipe", {Ingredient("walrus_tusk", 1), Ingredient("goldnugget", 2), Ingredient("redgem", 1)}, RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO)
	tuskpiperecipe.atlas = "images/inventoryimages/tuskpipe.xml"

	if ROG_ENABLED or SW_ENABLED then
		local hashrecipe = Recipe("hash", {Ingredient("mosquitosack", 1), Ingredient("ice", 3), Ingredient("ganja", 10,"images/inventoryimages/ganja.xml")}, RECIPETABS.REFINE, TECH.SCIENCE_TWO)
		hashrecipe.atlas = "images/inventoryimages/hash.xml"
	else
		local hashrecipe = Recipe("hash", {Ingredient("mosquitosack", 1), Ingredient("rocks", 3), Ingredient("ganja", 10,"images/inventoryimages/ganja.xml")}, RECIPETABS.REFINE, TECH.SCIENCE_TWO)
		hashrecipe.atlas = "images/inventoryimages/hash.xml"
	end

--[[
elseif tab_selection == 1 then --custom tab = on
	
	local cigaretterecipe = Recipe("cigarette", {Ingredient("rope", 1), Ingredient("papyrus", 1)}, RECIPETABS.GANJA_TAB, TECH.NONE, nil, nil, nil, 5)
	cigaretterecipe.atlas = "images/inventoryimages/cigarette.xml"

	local jointrecipe = Recipe("joint", {Ingredient("honey", 1), Ingredient("ganja_dried", 5,"images/inventoryimages/ganja_dried.xml")}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_ONE)
	jointrecipe.atlas = "images/inventoryimages/joint.xml"

	local hashrollrecipe = Recipe("hashroll", {Ingredient("papyrus", 1), Ingredient("cutgrass", 2), Ingredient("hash", 1,"images/inventoryimages/hash.xml")}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_ONE, nil, nil, nil, 2)
	hashrollrecipe.atlas = "images/inventoryimages/hashroll.xml"

	local woodenpiperecipe = Recipe("woodenpipe", {Ingredient("log", 1), Ingredient("charcoal", 1), Ingredient("ganja_dried", 4,"images/inventoryimages/ganja_dried.xml")}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_TWO)
	woodenpiperecipe.atlas = "images/inventoryimages/woodenpipe.xml"

	local goldenpiperecipe = Recipe("goldenpipe", {Ingredient("log", 1), Ingredient("goldnugget", 1), Ingredient("ganja_dried", 4,"images/inventoryimages/ganja_dried.xml")}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_TWO)
	goldenpiperecipe.atlas = "images/inventoryimages/goldenpipe.xml"

	local tuskpiperecipe = Recipe("tuskpipe", {Ingredient("walrus_tusk", 1), Ingredient("goldnugget", 2), Ingredient("redgem", 1)}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_TWO)
	tuskpiperecipe.atlas = "images/inventoryimages/tuskpipe.xml"

	if ROG_ENABLED or SW_ENABLED then
		local hashrecipe = Recipe("hash", {Ingredient("mosquitosack", 1), Ingredient("ice", 3), Ingredient("ganja", 10,"images/inventoryimages/ganja.xml")}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_TWO)
		hashrecipe.atlas = "images/inventoryimages/hash.xml"
	else
		local hashrecipe = Recipe("hash", {Ingredient("mosquitosack", 1), Ingredient("rocks", 3), Ingredient("ganja", 10,"images/inventoryimages/ganja.xml")}, RECIPETABS.GANJA_TAB, TECH.SCIENCE_TWO)
		hashrecipe.atlas = "images/inventoryimages/hash.xml"
	end
	
end
--]]
