local require = GLOBAL.require
require "map/treasurehunt"

--#### LOOTS ####--

local addedSlotMachineReward1 = {
	["slot_ganjapot"] = 
	{
		loot = 
		{
			ganja_seeds = 2,
			hash = 5,
			tuskpipe = 1,
		},
	},
}

local addedSlotMachineReward2 = {
	["slot_grower_good"] = 
	{
		loot = 
		{
			ganja_seeds = 6,
			goldenshovel = 1,
			mosquitosack = 6,
		},
	},
}

local addedSlotMachineReward3 = {
	["slot_grower"] = 
	{
		loot = 
		{
			ganja_seeds = 1,
			shovel = 1,
			mosquitosack = 3,
		},
	},
}

local ganjaloot1 = {
	["smokekit"] = 
	{
		loot = 
		{
			hash = 2,
			joint = 5,
			goldenpipe = 1,
		},
	},
}

local ganjaloot2 = {
	["grower"] = 
	{
		loot = 
		{
			ganja_seeds = 4,
			joint = 5,
			mosquitosack = 3,
		},
	},
}

local ganjaloot3 = {
	["ganjapot"] = 
	{
		loot = 
		{
			ganja_seeds = 2,
			ganja_dried = 20,
			tuskpipe = 1,
		},
	},
}

---------------------------------------------------

--#### TREASURES ####--

local ganjatreasure =
{
	["SmokeTreasure"] =
	{
		{
			treasure_set_piece = "BuriedTreasureLayout",
			treasure_prefab = "buriedtreasure",
			map_prefab = "messagebottle",
			loot = "smokekit",
		}
	},
	
	["GrowerTreasure"] =
	{
		{
			treasure_set_piece = "BuriedTreasureLayout",
			treasure_prefab = "buriedtreasure",
			map_prefab = "messagebottle",
			loot = "grower",
		}
	},
	
	["GanjapotTreasure"] =
	{
		{
			treasure_set_piece = "BuriedTreasureLayout",
			treasure_prefab = "buriedtreasure",
			map_prefab = "messagebottle",
			loot = "ganjapot",
		}
	},
}

------------------------------------------------------------

for name, data in pairs(addedSlotMachineReward1) do
	AddTreasureLoot(name, data)
end

for name, data in pairs(addedSlotMachineReward2) do
	AddTreasureLoot(name, data)
end

for name, data in pairs(addedSlotMachineReward3) do
	AddTreasureLoot(name, data)
end

for name, data in pairs(ganjaloot1) do
	AddTreasureLoot(name, data)
end

for name, data in pairs(ganjaloot2) do
	AddTreasureLoot(name, data)
end

for name, data in pairs(ganjaloot3) do
	AddTreasureLoot(name, data)
end

for name, data in pairs(ganjatreasure) do
	AddTreasure(name, data)
end

PrefabFiles = {
	"slotmachine"
}