local Tokeable = Class(
	function(self, inst)
    	self.inst = inst
	end,
	nil,
	{}
)

function Tokeable:CollectInventoryActions(doer, actions)
	table.insert(actions, ACTIONS.TOKE)
end
	
function Tokeable:toke_item(stoner, item)
	if item:HasTag("woodenpipe") then
		stoner.components.sanity:DoDelta(5)
		stoner.components.hunger:DoDelta(-5)
	elseif item:HasTag("goldenpipe") then
		stoner.components.sanity:DoDelta(5)
		stoner.components.hunger:DoDelta(-5)
	elseif item:HasTag("tuskpipe") and item:HasTag("ganja") then
		stoner.components.sanity:DoDelta(3)
		stoner.components.hunger:DoDelta(-5)
		item:RemoveTag("ganja")
	elseif item:HasTag("tuskpipe") and item:HasTag("ganja_dried") then
		stoner.components.sanity:DoDelta(5)
		stoner.components.hunger:DoDelta(-5)
		item:RemoveTag("ganja_dried")
	elseif item:HasTag("tuskpipe") and item:HasTag("hash") then
		stoner.components.sanity:DoDelta(20)
		stoner.components.hunger:DoDelta(-10)
		item:RemoveTag("hash")
	elseif item:HasTag("joint") then
		stoner.components.sanity:DoDelta(25)
		stoner.components.hunger:DoDelta(-20)
	--[[elseif item:HasTag("chillum") then
		stoner.components.sanity:DoDelta(75)
		stoner.components.hunger:DoDelta(-25) ]]
	elseif item:HasTag("cigarette") then
		stoner.components.sanity:DoDelta(2)
		stoner.components.health:DoDelta(-1)
	elseif item:HasTag("hashroll") then
		stoner.components.sanity:DoDelta(30)
		stoner.components.hunger:DoDelta(-15)
	else
		return
	end
	
	if self.OnToke then
		self:OnToke(stoner, item)
	end
	return true	
end

return Tokeable
